1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
### Gemfile
source 'http://rubygems.org'

ruby '1.9.3'
gem 'rails', '3.2.12'
gem 'jquery-rails'

group :production do
  gem 'thin'
  gem 'pg'
  gem 'newrelic_rpm'
end

group :assets do
  gem 'sass-rails', "  ~> 3.2.3"
  gem 'coffee-rails', "~> 3.2.1"
  gem 'uglifier', '>=1.0.3'
end

# Bundle edge Rails instead:
# gem 'rails', :git => 'git://github.com/rails/rails.git'

gem 'simple_form', '1.5.2'
gem 'haml'
gem 'haml-rails'
# Following gem for old Rails2 error_message_on, error_messages_form, etc...
gem 'dynamic_form', '1.1.4'
gem 'decent_exposure'
gem 'will_paginate', "~> 3.0.pre2"
gem 'pdfkit'
gem 'newrelic_rpm'

# Use unicorn as the web server
# gem 'unicorn'

# Deploy with Capistrano
# gem 'capistrano'

# Bundle the extra gems:
# gem 'bj'
# gem 'nokogiri'
# gem 'aws-s3', :require => 'aws/s3'

# Bundle gems for the local environment. Make sure to
# put test-only gems in this group so their generators
# and rake tasks are available in development mode:

gem 'sqlite3', '1.3.7' , :group => [:development, :test]

group :test do
  #gem 'sqlite3', '1.3.7', :require => 'sqlite3'
  #Heroku can't find this gem, only tomkersten-annotate-models
  #But bundler can't find this gem on my system...???
  #So we have to run this command to find tom's stuff in the EE libs
  #gem sources -a http://gems.github.com
  # But then we find that hoe required rubygems 1.4 and we have 1.3.7
  # and Debian won't allow gem update --system <psigh>
  #gem 'tomkersten-annotate-models'
  gem 'webrat'
  gem 'hpricot'
  gem 'ruby_parser'
  gem 'factory_girl', '1.3.3'
  gem 'factory_girl_rails', '1.0.1'
  gem 'database_cleaner', '0.6.7'
  #gem 'zachinglis-rspec-haml-scaffold'
  # To use debugger (ruby-debug for Ruby 1.8.7+, ruby-debug19 for Ruby 1.9.2+)
  # gem 'ruby-debug'
  ### Following lined used to work but now (2012-08-22) fails; fall back to V0.5.12
  #gem 'linecache19', '0.5.13' #, :git => 'git://github.com/mark-moseley/linecache'
  ### And now there are bigger problems with ruby 1.9.3 & debug... remove
  #gem 'linecache19', '0.5.12' #, :git => 'git://github.com/mark-moseley/linecache'
  #gem 'ruby-debug-base19', '~>0.11.25'
  #gem 'ruby-debug-base19x', '0.11.30.pre4'
  #gem 'ruby-debug19', :require => 'ruby-debug'
  gem 'sendgrid'
  gem 'rspec'
  gem 'rspec-rails'
  gem 'autotest'
  gem 'autotest-rails'
  gem 'cucumber-rails', :require => false
  gem 'cucumber-websteps', :require => false
  gem 'spork-rails'
  gem 'capybara'
  gem 'capybara-webkit'
  gem 'jasmine'
  gem 'rspec-html-matchers'
  #gem 'rspec2-rails-views-matchers', '0.0.3'

end

 group :development do
  gem 'sendgrid'
  gem 'annotate', ">=2.5.0"
  gem 'email_spec'
  gem 'launchy'

  gem 'nifty-generators'
  #gem 'rails3-generators'


 end

### Gemfile.lock
GEM
  remote: http://rubygems.org/
  specs:
    ZenTest (4.8.2)
    actionmailer (3.2.12)
      actionpack (= 3.2.12)
      mail (~> 2.4.4)
    actionpack (3.2.12)
      activemodel (= 3.2.12)
      activesupport (= 3.2.12)
      builder (~> 3.0.0)
      erubis (~> 2.7.0)
      journey (~> 1.0.4)
      rack (~> 1.4.5)
      rack-cache (~> 1.2)
      rack-test (~> 0.6.1)
      sprockets (~> 2.2.1)
    activemodel (3.2.12)
      activesupport (= 3.2.12)
      builder (~> 3.0.0)
    activerecord (3.2.12)
      activemodel (= 3.2.12)
      activesupport (= 3.2.12)
      arel (~> 3.0.2)
      tzinfo (~> 0.3.29)
    activeresource (3.2.12)
      activemodel (= 3.2.12)
      activesupport (= 3.2.12)
    activesupport (3.2.12)
      i18n (~> 0.6)
      multi_json (~> 1.0)
    addressable (2.2.8)
    annotate (2.5.0)
      rake
    arel (3.0.2)
    autotest (4.4.6)
      ZenTest (>= 4.4.1)
    autotest-rails (4.1.2)
      ZenTest (~> 4.5)
    builder (3.0.4)
    capybara (1.1.2)
      mime-types (>= 1.16)
      nokogiri (>= 1.3.3)
      rack (>= 1.0.0)
      rack-test (>= 0.5.4)
      selenium-webdriver (~> 2.0)
      xpath (~> 0.1.4)
    capybara-webkit (0.12.1)
      capybara (>= 1.0.0, < 1.2)
      json
    childprocess (0.3.5)
      ffi (~> 1.0, >= 1.0.6)
    coffee-rails (3.2.2)
      coffee-script (>= 2.2.0)
      railties (~> 3.2.0)
    coffee-script (2.2.0)
      coffee-script-source
      execjs
    coffee-script-source (1.4.0)
    cucumber (1.2.1)
      builder (>= 2.1.2)
      diff-lcs (>= 1.1.3)
      gherkin (~> 2.11.0)
      json (>= 1.4.6)
    cucumber-rails (1.3.0)
      capybara (>= 1.1.2)
      cucumber (>= 1.1.8)
      nokogiri (>= 1.5.0)
    cucumber-websteps (0.9.0)
      capybara
      cucumber
      launchy
    daemons (1.1.9)
    database_cleaner (0.6.7)
    decent_exposure (1.0.1)
    diff-lcs (1.1.3)
    dynamic_form (1.1.4)
    email_spec (1.2.1)
      mail (~> 2.2)
      rspec (~> 2.0)
    erubis (2.7.0)
    eventmachine (1.0.0)
    execjs (1.4.0)
      multi_json (~> 1.0)
    factory_girl (1.3.3)
    factory_girl_rails (1.0.1)
      factory_girl (~> 1.3)
      railties (>= 3.0.0)
    ffi (1.1.5)
    gherkin (2.11.2)
      json (>= 1.4.6)
    haml (4.0.0)
      tilt
    haml-rails (0.4)
      actionpack (>= 3.1, < 4.1)
      activesupport (>= 3.1, < 4.1)
      haml (>= 3.1, < 4.1)
      railties (>= 3.1, < 4.1)
    hike (1.2.1)
    hpricot (0.8.4)
    i18n (0.6.1)
    jasmine (1.2.1)
      jasmine-core (>= 1.2.0)
      rack (~> 1.0)
      rspec (>= 1.3.1)
      selenium-webdriver (>= 0.1.3)
    jasmine-core (1.2.0)
    journey (1.0.4)
    jquery-rails (1.0.13)
      railties (~> 3.0)
      thor (~> 0.14)
    json (1.7.7)
    launchy (2.0.5)
      addressable (~> 2.2.6)
    libwebsocket (0.1.5)
      addressable
    mail (2.4.4)
      i18n (>= 0.4.0)
      mime-types (~> 1.16)
      treetop (~> 1.4.8)
    mime-types (1.21)
    multi_json (1.6.1)
    newrelic_rpm (3.3.1)
    nifty-generators (0.4.6)
    nokogiri (1.5.5)
    pdfkit (0.5.2)
    pg (0.14.1)
    polyglot (0.3.3)
    rack (1.4.5)
    rack-cache (1.2)
      rack (>= 0.4)
    rack-ssl (1.3.3)
      rack
    rack-test (0.6.2)
      rack (>= 1.0)
    rails (3.2.12)
      actionmailer (= 3.2.12)
      actionpack (= 3.2.12)
      activerecord (= 3.2.12)
      activeresource (= 3.2.12)
      activesupport (= 3.2.12)
      bundler (~> 1.0)
      railties (= 3.2.12)
    railties (3.2.12)
      actionpack (= 3.2.12)
      activesupport (= 3.2.12)
      rack-ssl (~> 1.3.2)
      rake (>= 0.8.7)
      rdoc (~> 3.4)
      thor (>= 0.14.6, < 2.0)
    rake (10.0.3)
    rdoc (3.12.1)
      json (~> 1.4)
    rspec (2.6.0)
      rspec-core (~> 2.6.0)
      rspec-expectations (~> 2.6.0)
      rspec-mocks (~> 2.6.0)
    rspec-core (2.6.4)
    rspec-expectations (2.6.0)
      diff-lcs (~> 1.1.2)
    rspec-html-matchers (0.2.3)
      nokogiri (>= 1.4.4)
      rspec (>= 2.0.0)
    rspec-mocks (2.6.0)
    rspec-rails (2.6.1)
      actionpack (~> 3.0)
      activesupport (~> 3.0)
      railties (~> 3.0)
      rspec (~> 2.6.0)
    ruby_parser (2.0.6)
      sexp_processor (~> 3.0)
    rubyzip (0.9.9)
    sass (3.2.5)
    sass-rails (3.2.6)
      railties (~> 3.2.0)
      sass (>= 3.1.10)
      tilt (~> 1.3)
    selenium-webdriver (2.25.0)
      childprocess (>= 0.2.5)
      libwebsocket (~> 0.1.3)
      multi_json (~> 1.0)
      rubyzip
    sendgrid (1.0.1)
      json
      json
    sexp_processor (3.0.5)
    simple_form (1.5.2)
      actionpack (~> 3.0)
      activemodel (~> 3.0)
    spork (1.0.0rc0)
    spork-rails (3.2.0)
      rails (>= 3.0.0, < 3.3.0)
      spork (>= 1.0rc0)
    sprockets (2.2.2)
      hike (~> 1.2)
      multi_json (~> 1.0)
      rack (~> 1.0)
      tilt (~> 1.1, != 1.3.0)
    sqlite3 (1.3.7)
    thin (1.5.0)
      daemons (>= 1.0.9)
      eventmachine (>= 0.12.6)
      rack (>= 1.0.0)
    thor (0.17.0)
    tilt (1.3.3)
    treetop (1.4.12)
      polyglot
      polyglot (>= 0.3.1)
    tzinfo (0.3.35)
    uglifier (1.3.0)
      execjs (>= 0.3.0)
      multi_json (~> 1.0, >= 1.0.2)
    webrat (0.7.3)
      nokogiri (>= 1.2.0)
      rack (>= 1.0)
      rack-test (>= 0.5.3)
    will_paginate (3.0.0)
    xpath (0.1.4)
      nokogiri (~> 1.3)

PLATFORMS
  ruby

DEPENDENCIES
  annotate (>= 2.5.0)
  autotest
  autotest-rails
  capybara
  capybara-webkit
  coffee-rails (~> 3.2.1)
  cucumber-rails
  cucumber-websteps
  database_cleaner (= 0.6.7)
  decent_exposure
  dynamic_form (= 1.1.4)
  email_spec
  factory_girl (= 1.3.3)
  factory_girl_rails (= 1.0.1)
  haml
  haml-rails
  hpricot
  jasmine
  jquery-rails
  launchy
  newrelic_rpm
  nifty-generators
  pdfkit
  pg
  rails (= 3.2.12)
  rspec
  rspec-html-matchers
  rspec-rails
  ruby_parser
  sass-rails (~> 3.2.3)
  sendgrid
  simple_form (= 1.5.2)
  spork-rails
  sqlite3 (= 1.3.7)
  thin
  uglifier (>= 1.0.3)
  webrat
  will_paginate (~> 3.0.pre2)